[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TContainedAction.SetParentComponent

Sets the parent component for the class instance.

## Declaration

Source position: actnlist.pas line 42

`protected procedure TContainedAction.SetParentComponent(`
`AParent: TComponent`
`); override;`

## Arguments

`AParent` |  | Value assigned to the parent component for the class.

## Description

SetParentComponent is an overridden method used to set the property in the class instance which contains the parent component. It re-implements the method from the ancestor class.

In TContainedAction, it sets the ActionList property to the value in AParent when AParent is derived from TCustomActionList.

## See also

TCustomActionList |  | TCustomActionList - the ancestor class for TActionList.
TComponent